using System;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;

namespace Test
{
    public class dtoBaseTenantApp : dtoBaseModel
    {
        public Guid AppID { get; set; }
        public Guid ProductID { get; set; }
        public Guid TenantID { get; set; }
        public Guid TenantAppID { get; set; }

        [StringLength(100)]
        [DisplayName("App")]
        public string AppName { get; set; }
        [StringLength(255)]
        [DisplayName("Description")]
        public string Description { get; set; }
        [StringLength(255)]
        [DisplayName("Provisioning URL")]
        public string ProvisionURL { get; set; }
        public bool IsBase { get; set; }

        [DisplayName("Subscription")]
        public Guid? BillingSubscriptionID { get; set; }
        [StringLength(40)]
        [DisplayName("Subscription")]
        public string BillingSubscriptionNumber { get; set; }
        public Guid ProvisionStatusCodeID { get; set; }
        [DisplayName("Suspended")]
        public bool IsSuspended { get; set; }
    }
}
